#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptol
version:              2.8.0
visibility:           public
id:                   cryptol-2.8.0-L9A2taM6yXLLvMgxdHWsZm
key:                  cryptol-2.8.0-L9A2taM6yXLLvMgxdHWsZm
license:              BSD-3-Clause
copyright:            2013-2019 Galois Inc.
maintainer:           cryptol@galois.com
author:               Galois, Inc.
homepage:             http://www.cryptol.net/
synopsis:             Cryptol: The Language of Cryptography
description:
    Cryptol is a domain-specific language for specifying cryptographic algorithms. A Cryptol implementation of an algorithm resembles its mathematical specification more closely than an implementation in a general purpose language. For more, see <http://www.cryptol.net/>.

category:             Language
abi:                  c9d73f133c4b2585b4937b38d2529cb7
exposed:              True
exposed-modules:
    Cryptol.Eval Cryptol.Eval.Arch Cryptol.Eval.Env Cryptol.Eval.Monad
    Cryptol.Eval.Reference Cryptol.Eval.Type Cryptol.Eval.Value
    Cryptol.IR.FreeVars Cryptol.ModuleSystem Cryptol.ModuleSystem.Base
    Cryptol.ModuleSystem.Env Cryptol.ModuleSystem.Exports
    Cryptol.ModuleSystem.Fingerprint
    Cryptol.ModuleSystem.InstantiateModule
    Cryptol.ModuleSystem.Interface Cryptol.ModuleSystem.Monad
    Cryptol.ModuleSystem.Name Cryptol.ModuleSystem.NamingEnv
    Cryptol.ModuleSystem.Renamer Cryptol.Parser Cryptol.Parser.AST
    Cryptol.Parser.Fixity Cryptol.Parser.Lexer Cryptol.Parser.Name
    Cryptol.Parser.Names Cryptol.Parser.NoInclude Cryptol.Parser.NoPat
    Cryptol.Parser.Position Cryptol.Parser.Selector
    Cryptol.Parser.Unlit Cryptol.Parser.Utils Cryptol.Prims.Eval
    Cryptol.REPL.Command Cryptol.REPL.Monad Cryptol.REPL.Trie
    Cryptol.Symbolic Cryptol.Symbolic.Prims Cryptol.Symbolic.Value
    Cryptol.Testing.Concrete Cryptol.Testing.Random
    Cryptol.Transform.AddModParams Cryptol.Transform.MonoValues
    Cryptol.Transform.Specialize Cryptol.TypeCheck
    Cryptol.TypeCheck.AST Cryptol.TypeCheck.CheckModuleInstance
    Cryptol.TypeCheck.Default Cryptol.TypeCheck.Depends
    Cryptol.TypeCheck.Error Cryptol.TypeCheck.Infer
    Cryptol.TypeCheck.InferTypes Cryptol.TypeCheck.Instantiate
    Cryptol.TypeCheck.Kind Cryptol.TypeCheck.Monad Cryptol.TypeCheck.PP
    Cryptol.TypeCheck.Parseable Cryptol.TypeCheck.Sanity
    Cryptol.TypeCheck.SimpType Cryptol.TypeCheck.SimpleSolver
    Cryptol.TypeCheck.Solve Cryptol.TypeCheck.Solver.Class
    Cryptol.TypeCheck.Solver.Improve Cryptol.TypeCheck.Solver.InfNat
    Cryptol.TypeCheck.Solver.Numeric
    Cryptol.TypeCheck.Solver.Numeric.Fin
    Cryptol.TypeCheck.Solver.Numeric.Interval
    Cryptol.TypeCheck.Solver.SMT Cryptol.TypeCheck.Solver.Selector
    Cryptol.TypeCheck.Solver.Types Cryptol.TypeCheck.Solver.Utils
    Cryptol.TypeCheck.Subst Cryptol.TypeCheck.TCon
    Cryptol.TypeCheck.Type Cryptol.TypeCheck.TypeMap
    Cryptol.TypeCheck.TypeOf Cryptol.TypeCheck.TypePat
    Cryptol.TypeCheck.Unify Cryptol.Utils.Debug Cryptol.Utils.Ident
    Cryptol.Utils.Logger Cryptol.Utils.Misc Cryptol.Utils.PP
    Cryptol.Utils.Panic Cryptol.Utils.Patterns Cryptol.Version

hidden-modules:
    Cryptol.Parser.LexerUtils Cryptol.Parser.ParserUtils
    Cryptol.Prelude Paths_cryptol GitRev

import-dirs:          /usr/lib/ghc-8.10.1/site-local/cryptol-2.8.0
library-dirs:         /usr/lib/ghc-8.10.1/site-local/cryptol-2.8.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/cryptol
hs-libraries:         HScryptol-2.8.0-L9A2taM6yXLLvMgxdHWsZm
depends:
    GraphSCC-1.0.4-IC6FF89rxYeGrQYTR5Pr4w array-0.5.4.0 base-4.14.0.0
    base-compat-0.11.1-KZnxD44j0rC2RthL96Vmwl bytestring-0.10.10.0
    containers-0.6.2.1 cryptohash-sha1-0.11.100.1-2gd8W0MJmDXLF2SYBClUB
    deepseq-1.4.4.0 directory-1.3.6.0 filepath-1.4.2.1
    gitrev-1.3.1-9JbXwW3h4Lf8RR2MISxplB
    heredoc-0.2.0.0-2Mv6sG9hTuO2hkaj42CFts
    monad-control-1.0.2.3-CSwxHoEhR3wLOgI9xoqEra
    monadLib-3.10-6h1BOxrlq8i3erP7X1lmFA mtl-2.2.2
    panic-0.4.0.1-A8wsV1mQdweDfbMYpGomx pretty-1.1.3.6 process-1.6.8.2
    random-1.1-AA3zCuOgsVZCzsZYE3CMpY sbv-8.7-AvXlhSWDbrGJ2V2yVP4lRQ
    simple-smt-0.9.5-4vG9YjmipnNBXyQSYlpStx
    strict-0.3.2-4IjmweKQSpWKqLgD7Xpcu6 text-1.2.3.2
    tf-random-0.5-FwscpoRSWPuKo2Ih6FTLpa time-1.9.3
    transformers-base-0.4.5.2-6dTWVQVkpndEzF8CB6LlYd

haddock-interfaces:   /usr/share/doc/cryptol/html/cryptol.haddock
haddock-html:         /usr/share/doc/cryptol/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

